/**
 * Cookie.
 */
export default class Cookie {
    private pairs;
    key: string;
    value: string;
    size: number;
    domain: string;
    path: string;
    expriesOrMaxAge: Date;
    httpOnly: boolean;
    secure: boolean;
    sameSite: string;
    /**
     * Constructor.
     *
     * @param cookie Cookie.
     */
    constructor(cookie: string);
    /**
     * Returns a raw string of the cookie.
     */
    rawString(): string;
    /**
     *
     */
    cookieString(): string;
    /**
     *
     */
    isExpired(): boolean;
    /**
     *
     */
    isHttpOnly(): boolean;
    /**
     *
     */
    isSecure(): boolean;
    /**
     * Parse a cookie string.
     *
     * @param cookieString
     */
    static parse(cookieString: string): Cookie;
    /**
     * Stringify a Cookie object.
     *
     * @param cookie
     */
    static stringify(cookie: Cookie): string;
}
