import Location from 'src/location/Location';
/**
 * CookieJar.
 *
 * @see https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cookie.
 * @see https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Set-Cookie.
 */
export default class CookieJar {
    private cookies;
    /**
     * Validate cookie.
     *
     * @param cookie
     */
    private validateCookie;
    /**
     * Set cookie.
     *
     * @param cookieString
     */
    setCookiesString(cookieString: string): void;
    /**
     * Get cookie.
     *
     * @param location Location.
     * @param fromDocument If true, the caller is a document.
     * @returns Cookie string.
     */
    getCookiesString(location: Location, fromDocument: boolean): string;
}
