import IRequestInit from './IRequestInit';
import IDocument from '../nodes/document/IDocument';
import IResponse from './IResponse';
import RequestInfo from './RequestInfo';
/**
 * Helper class for performing fetch.
 */
export default class FetchHandler {
    /**
     * Returns resource data asynchronously.
     *
     * @param document Document.
     * @param url URL to resource.
     * @param [init] Init.
     * @returns Response.
     */
    static fetch(document: IDocument, url: RequestInfo, init?: IRequestInit): Promise<IResponse>;
}
